///////////////////////////////////////////////////////////////////////////////
/// @file deFileSystem.cpp
///
/// @brief base file system interface
///
/// @author Lightning
///
/// This file is the intellectual property of Novus Delta, LLC.. Usage of the
/// contents of this file is subject to the Destiny3D Member License which
/// can be found at http://www.destiny3d.com.  Any other usage is prohibited.
///
/// This file is distributed "AS IS" without warranty of any kind.  Novus
/// Delta, LLC. does not guarantee the fitness of the contents of this file
/// for any particular purpose.
///
/// Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.
///
/// <hr>
///                                 Change History
/// <hr>
///
/// @date Nov 2001
/// @author Lightning
/// @remarks Creation
///
/// @date Dec 2002
/// @author kurifu
/// @remarks Find handles
///
///////////////////////////////////////////////////////////////////////////////

#include "deFileSystem_priv.hpp"

//deFileSystem has a basic plugin list that we take care of here instead of per system

IdeFSReal* IdeFileSystem_CreateFSReal()
{
	return new deFSReal();
}

IdeFSVirtual* IdeFileSystem_CreateFSVirtual()
{
	return new deFSVirtual();
}


deFileSystem::deFileSystem()
{
}

deFileSystem::~deFileSystem()
{
}

void* deFileSystem::GetInterface(interface_t i)
{
	if (i == iface_IdeFileSystem)
		return (IdeFileSystem*)(this);
	return NULL;
}

IdeFile* deFileSystem::Open(const char * /*Filename*/, long /*OpenFlags*/)
{
	return NULL;
}

const char *deFileSystem::GetDirectory()
{
	return NULL;
}

deBoolean deFileSystem::SetDirectory(const char* /*Directory*/)
{
	return deFALSE;
}

deBoolean deFileSystem::Rename(const char* /*OldFilename*/, const char* /*NewFilename*/)
{
	return deFALSE;
}

deBoolean deFileSystem::Delete(const char* /*Filename*/, deFSPROGRESS /*StatusCallback*/)
{
	return deFALSE;
}

deBoolean deFileSystem::Move(const char* /*OldFilename*/, const char* /*NewFilename*/, deFSPROGRESS /*StatusCallback*/)
{
	return deFALSE;
}

deBoolean deFileSystem::Copy(const char* /*OldFilename*/, const char* /*NewFilename*/, deFSPROGRESS /*StatusCallback*/)
{
	return deFALSE;
}

deBoolean deFileSystem::AddDirectory(const char* /*Directory*/)
{
	return deFALSE;
}

deBoolean deFileSystem::DeleteDirectory(const char* /*Directory*/, deFSPROGRESS /*StatusCallback*/)
{
	return deFALSE;
}

void* deFileSystem::FindFirst(const char* /*Pattern*/, deFileProperties* /*Properties*/)
{
	return NULL;
}

deBoolean deFileSystem::FindNext(void* /*Handle*/, deFileProperties* /*Properties*/)
{
	return deFALSE;
}

deBoolean deFileSystem::FindEnd(void* /*Handle*/)
{
	return deFALSE;
}

